
Katello - Bug #4883

Subscription Manager Applications UI and Backend not functional and out of date with the rest of

Katello

03/26/2014 05:52 PM - Eric Helms

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Web UI   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

With the recent UI updates to Nutupane, and styling introductions of Patternfly and Boostrap 3 (post enginification) as well as the

backend updates to the code base in favor of DynFlow, the Subscription Manager Applications page is essentially non-functional.

After brief discussions with Tom, the proposed temporary solution is to remove the menu item for Subscription Manager Applications

so as not to give users a false sense of an existing feature.

Related issues:

Copied to Katello - Bug #4887: Subscription Manager Applications UI and Backe... Duplicate 03/26/2014

Associated revisions

Revision 84b8b16d - 03/26/2014 06:26 PM - Eric Helms

Refs #4883: Disables SMAPs from showing up in the UI menu.

With the recent UI updates to Nutupane, and styling introductions of

Patternfly and Boostrap 3 (post enginification) as well as the backend

updates to the code base in favor of DynFlow, the Subscription Manager

Applications page is essentially non-functional. This temporary solution

is to remove the menu item for Subscription Manager Applications so as

not to give users a false sense of an existing feature.

Revision 4e20ce45 - 03/26/2014 09:39 PM - Eric Helms

Merge pull request #3893 from ehelms/refs-4883

Refs #4883: Disables SMAPs from showing up in the UI menu.

History

#1 - 03/26/2014 06:37 PM - Mike McCune

+1 to disabling the menu item until we get this functional.

What about the CLI/API?

#2 - 03/26/2014 06:38 PM - Mike McCune

- Status changed from New to Assigned

- Triaged changed from No to Yes

#3 - 03/26/2014 06:40 PM - Thomas McKay

- Copied to Bug #4887: Subscription Manager Applications UI and Backend not functional and out of date with the rest of Katello added

#4 - 08/18/2014 02:16 PM - Eric Helms

- Status changed from Assigned to New

- Assignee deleted (Eric Helms)
#5 - 12/21/2015 10:52 AM - Eric Helms

- Status changed from New to Resolved

Distributors have been removed from the UI and the code base as of Katello 2.4.0

#6 - 07/08/2016 11:10 AM - Eric Helms

- translation missing: en.field_release set to 166
